## class OSGGA_EXPORT osgGA::KeySwitchCameraManipulator

> KeySwitchCameraManipulator is a decorator which allows the type of camera manipulator being used to be switched by pressing a key.

## Inheritance:

### Public Methods

virtual const char* className()
void addCameraManipulator(int key, std::string name, CameraManipulator* cm)
  Add a camera manipulator with an associated name, and a key to trigger the switch,
void addNumberedCameraManipulator(CameraManipulator* cm)
  Add a camera manipulator with an autogenerated keybinding which is '1' + previous number of camera's registerd
unsigned int getNumCameraManipualtors() const
void selectCameraManipulator(unsigned int num)
CameraManipulator* getCurrentCameraManipulator()
const CameraManipulator* getCurrentCameraManipulator() const
CameraManipulator* getCameraManipulator(unsigned int num)
const CameraManipulator* getCameraManipulator(unsigned int num) const
virtual void setCamera(osg::Camera* c)
virtual const osg::Camera* getCamera() const
virtual osg::Camera* getCamera()
virtual void setNode(osg::Node* n)
virtual const osg::Node* getNode() const
virtual osg::Node* getNode()
virtual void home(const GUIEventAdapter& ee, GUIActionAdapter& aa)
virtual void init(const GUIEventAdapter& ee, GUIActionAdapter& aa)
virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)
virtual void getUsage(osg::ApplicationUsage& usage) const
  Get the keyboard and mouse usage of this manipulator

### Inherited from CameraManipulator:

### Public Methods

virtual void accept(GUIEventHandlerVisitor& v)

### Protected Fields

osg::ref_ptr<osg::Camera> _camera

### Inherited from GUIEventHandler:

### Public Methods

META_Object (osgGA, GUIEventHandler) const () const
virtual CompositeGUIEventHandler* getComposite()

## Documentation

> KeySwitchCameraManipulator is a decorator which allows the type of camera manipulator being used to be switched by pressing a key. E.g. '1' for a TrackballManipultor, '2' for a DriveManipulator, '3' for a FlightManipulator. The manipulators available, and the associated switch keys, can be configured.

`virtual const char* className()`

`void addCameraManipulator(int key, std::string name, CameraManipulator* cm)`
  Add a camera manipulator with an associated name, and a key to trigger the switch,

`void addNumberedCameraManipulator(CameraManipulator* cm)`
  Add a camera manipulator with an autogenerated keybinding which is '1' + previous number of camera's registerd

`unsigned int getNumCameraManipualtors() const`

`void selectCameraManipulator(unsigned int num)`

`CameraManipulator* getCurrentCameraManipulator()`

`const CameraManipulator* getCurrentCameraManipulator() const`

`CameraManipulator* getCameraManipulator(unsigned int num)`

`const CameraManipulator* getCameraManipulator(unsigned int num) const`

`virtual void setCamera(osg::Camera* c)`

`virtual const osg::Camera* getCamera() const`

`virtual osg::Camera* getCamera()`

`virtual void setNode(osg::Node* n)`

`virtual const osg::Node* getNode() const`

`virtual osg::Node* getNode()`

`virtual void home(const GUIEventAdapter& ee, GUIActionAdapter& aa)`

`virtual void init(const GUIEventAdapter& ee, GUIActionAdapter& aa)`

`virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)`

`virtual void getUsage(osg::ApplicationUsage& usage) const`
  Get the keyboard and mouse usage of this manipulator

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.